#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - graphviz-plugins-core preinstallation
#
# Creation   :  2018-06-22 holbru
# Last update:  $Id: preinstall.sh 55964 2018-06-22 21:25:33Z hbfl $
#
# Copyright (c) 2018-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=graphviz-plugins-core

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check graphviz 2.8.0)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/graphviz-files.txt ]
    then
        sed -i '/libgvplugin_core.so/d' /etc/filelist.d/graphviz-files.txt
        sed -i '/libgvplugin_dot_layout.so/d' /etc/filelist.d/graphviz-files.txt
        sed -i '/libgvplugin_neato_layout.so/d' /etc/filelist.d/graphviz-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
